Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger
Interface ActionsManagerListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  ActionsManagerAdapter, LazyActionsManagerListener

    public interface ActionsManagerListener

extends EventListener

This listener notifies about changes in the `DebuggerEngine`.

Field Summary
`static String` | `PROP_ACTION_PERFORMED` Property name constant for `actionPerformed(Object)` event.
`static String` | `PROP_ACTION_STATE_CHANGED` Property name constant for `actionPerformed(Object)` event.

Method Summary
`void` | `actionPerformed(Object action)` Called when some action is performed.
`void` | `actionStateChanged(Object action, boolean enabled)` Called when a state of some action has been changed.

Field Detail

### PROP_ACTION_PERFORMED

    static final String PROP_ACTION_PERFORMED

  Property name constant for `actionPerformed(Object)` event. It should be use as a propertyName argument in `ActionsManager.addActionsManagerListener(String,ActionsManagerListener)` call, if you would like to receive this event notification.

  See Also:
    Constant Field Values

### PROP_ACTION_STATE_CHANGED

    static final String PROP_ACTION_STATE_CHANGED

  Property name constant for `actionPerformed(Object)` event. It should be use as a propertyName argument in `ActionsManager.addActionsManagerListener(String,ActionsManagerListener)` call, if you would like to receive this event notification.

  See Also:
    Constant Field Values

Method Detail

### actionPerformed

    void actionPerformed(Object action)

  Called when some action is performed.

  Parameters:
    `action` - action constant

### actionStateChanged

    void actionStateChanged(Object action,
                            boolean enabled)

  Called when a state of some action has been changed.

  Parameters:
    `action` - action constant
    `enabled` - a new state of action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger/1 1.7.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.